-- Adminer 3.2.3-dev MySQL dump

SET NAMES utf8;
SET foreign_key_checks = 0;
SET time_zone = 'SYSTEM';
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

CREATE DATABASE `oreilly` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `oreilly`;

CREATE TABLE `park` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL COMMENT 'Name',
  `latitude` float NOT NULL COMMENT 'Latitude',
  `longitude` float NOT NULL COMMENT 'Longitude',
  `photo` blob COMMENT 'Photo',
  `description_html` text NOT NULL COMMENT 'Description',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=59 DEFAULT CHARSET=utf8 COMMENT='Parks';



CREATE TABLE `visitor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `first_name` varchar(14) NOT NULL COMMENT 'First name',
  `last_name` varchar(16) NOT NULL COMMENT 'Last name',
  `email` varchar(50) NOT NULL COMMENT 'E-mail',
  `gender` enum('M','F') NOT NULL COMMENT 'Gender',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Created',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=500000 DEFAULT CHARSET=utf8 COMMENT='Visitors';


DELIMITER ;;

CREATE TRIGGER `visitor_bi` BEFORE INSERT ON `visitor` FOR EACH ROW
SET NEW.created = IF(NEW.created = '0000-00-00', NOW(), NEW.created);;

DELIMITER ;

-- 2011-04-13 18:48:26
